#ifndef _NETCAVETV
#define _NETCAVETV

/*
 *
 * This is part of the ANL/MCS/FL CAVEav distribution.
 * written by Ivan R. Judson
 *
 */

#include <GL/gl.h>
#include <GL/glu.h>
#include <stdio.h>
#include <stdlib.h>

#include "CAVtv.h"

/** This is the derived class netCAVEtv, which starts a vic process
  upon initialization which uses a shared memory segment as a output
  device for the video stream it is recieving from the network.  The
  tv then grabs the frames from the shared memory segment and places
  them on the tv object in the CAVE scene.

  In order for this tv to find the vic binary it is necessary for 
  the user to set the environment variable CAVEAV_VIC to the full
  pathname (including trailing '/vic') to the vic binary that is 
  compiled with shared memory support.  
  */

class netCAVtv : public CAVtv {

};
